Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum Connection.Status

    java.lang.Object
      java.lang.Enum<Connection.Status>
          org.teleal.cling.support.model.Connection.Status

All Implemented Interfaces:
  Serializable, Comparable<Connection.Status>

Enclosing class:
  Connection

    public static enum Connection.Status

extends Enum<Connection.Status>

Enum Constant Summary
`Connected` At least one client has successfully initiated an Internet connection using this instance.
`Connecting` The WANConnectionDevice is in the process of initiating a connection for the first time after the connection became disconnected.
`Disconnected` No ISP connection is active (or being activated) from this connection instance.
`Disconnecting` The WANConnectionDevice is in the process of terminating a connection.
`PendingDisconnect` The connection is active (packets are allowed to flow through), but will transition to Disconnecting state after a certain period.
`Unconfigured` This value indicates that other variables in the service table are uninitialized or in an invalid state.

Method Summary
`static Connection.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unconfigured

    public static final Connection.Status Unconfigured

  This value indicates that other variables in the service table are uninitialized or in an invalid state.

### Connecting

    public static final Connection.Status Connecting

  The WANConnectionDevice is in the process of initiating a connection for the first time after the connection became disconnected.

### Connected

    public static final Connection.Status Connected

  At least one client has successfully initiated an Internet connection using this instance.

### PendingDisconnect

    public static final Connection.Status PendingDisconnect

  The connection is active (packets are allowed to flow through), but will transition to Disconnecting state after a certain period.

### Disconnecting

    public static final Connection.Status Disconnecting

  The WANConnectionDevice is in the process of terminating a connection. On successful termination, ConnectionStatus transitions to Disconnected.

### Disconnected

    public static final Connection.Status Disconnected

  No ISP connection is active (or being activated) from this connection instance. No packets are transiting the gateway.

Method Detail

### values

    public static Connection.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Connection.Status c : Connection.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Connection.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.